Get NTBA Monitors

Prev Next

This URL gets the available NTBA monitors.

Resource URL

GET /ntbamonitors

Request Parameters

N/A

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
ntbaMonitors List of NTBAs Array

Details of NTBA:

Field Name Description Data Type
nbaId Id String
name Name String
serialNumber Serial number String
softwareVersion Software version String
ipAddress IP address String
LastSignatureUpdateTime Threat description String
lastRebootTime Reboot time String

Example

Request

GET https://%3CNSM_IP%3E/sdkapi/ntbamonitors

Response

{
"ntbaMonitors":[{
"nbaId":1003,"name":"T-100VM",
"serialNumber":"T0020121211165440","softwareVersion":"8.0.4.5",
"ipAddress":"172.16.232.162","LastSignatureUpdateTime":"2013-08-14 19:14:37.0",
"lastRebootTime":"2013-08-14 19:14:37.0"}]
} 
 

Error Information